### Home Classes Methods

### In Files

- app/controllers/charts_controller.rb

### Parent

ApplicationController

### Methods

- #index
- #more

### Files

- README_FOR_APP

### Class Index

Quicksearch

- LastFM
- LastFM::Album
- LastFM::Artist
- LastFM::Chart
- LastFM::Request
- LastFM::Track
- LastFM::Validator
- DeviseAuth
- DeviseAuth::RegistrationsController
- DeviseAuth::SessionsController
- Users
- Users::OmniauthCallbacksController
- ApplicationController
- ApplicationHelper
- Artist
- ArtistsController
- ChartsController
- HomeController
- Playlist
- PlaylistsTracks
- RedisQueryable
- SearchController
- Track
- TracksController
- User
- UsersController
- UsersHelper
- YoutubeVideoRating

No matching classes.

# ChartsController

### Public Instance Methods

index() click to toggle source

       # File app/controllers/charts_controller.rb, line 3
    3:   def index

    4:     @charts = LastFM::Chart.getTopArtists 20

    5:     LastFM::Request.run_queue!

    6:

    7:     render :partial=>"index"

    8:   end

more() click to toggle source

        # File app/controllers/charts_controller.rb, line 11
    11:   def more

    12:     params[:size] = params[:size].to_i

    13:

    14:     @charts = LastFM::Chart.getTopArtists 20, (params[:size] / 20 + 1)

    15:     LastFM::Request.run_queue!

    16:

    17:     render :partial=>"more_charts", :locals=>{:charts=>@charts}

    18:   end

Disabled; run with --debug to generate this.

[Validate]

Generated with the Darkfish Rdoc Generator 1.1.6.